<div class="title-h2">
  Секции и сервисы
</div>

<div class="m-t-24 service-container">
  <div *ngFor="let service of (services$ | async)" class="service">
    <div class="img-wrapper">
      <img [ngSrc]="service.imageUrl"
           [alt]="service.title"
           width="54"
           height="54"
      >
    </div>

    <div class="title-h3 m-t-16">{{ service.title }}</div>

    <p class="text-secondary text-body m-t-24">
      {{ service.description }}
    </p>

    <p *ngIf="service.showModal && service.isEnabled && service.showSale"
       class="body-1"
    >
      Доступна скидка!
    </p>

    <button mat-stroked-button
            (click)="handleButtonClick(service)"
            [disabled]="!service.isEnabled"
            class="button m-b-16"
    >
      <span *ngIf="!service.showModal">Аккредитоваться</span>

      <span *ngIf="service.showModal && service.isEnabled">Получить доступ</span>

      <span *ngIf="service.showModal && !service.isEnabled">Подключено</span>
    </button>
  </div>
</div>
